<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright The WildFly Authors
  ~ SPDX-License-Identifier: Apache-2.0
  -->
<module name="org.jboss.narayana.rts.lra-participant" xmlns="urn:jboss:module:1.9">

  <properties>
    <property name="jboss.api" value="private"/>
  </properties>
  <resources>
    <artifact name="org.jboss.narayana.rts:lra-service-base:7.0.1.Final"/>
    <artifact name="org.jboss.narayana.rts:lra-client:7.0.1.Final"/>
    <artifact name="org.jboss.narayana.rts:lra-proxy-api:7.0.1.Final"/>
    <artifact name="org.jboss.narayana.rts:narayana-lra:7.0.1.Final"/>
  </resources>

  <dependencies>
    <module name="org.eclipse.microprofile.lra.api"/>
    <module name="org.jboss.modules"/>

    <!-- lra-service-base -->
    <module name="jakarta.ws.rs.api"/>
    <module name="org.jboss.logging"/>
    <!-- lra-client -->
    <module name="jakarta.enterprise.api"/>
    <!-- lra-proxy-api -->
    <module name="io.smallrye.jandex"/>
    <!-- narayana-lra -->
    <module name="org.eclipse.microprofile.config.api"/>
    <module name="io.smallrye.config"/>

  </dependencies>
</module>
